Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcCommPacketBase Class Reference

XFcCommPacketBase is base class for communication packet. More...

Inheritance diagram for XFcCommPacketBase:

[legend]
List of all members.

## Public Member Functions
virtual INT32 | getSize ()
| Gets packet size.
virtual void | setSize (INT32 aSize)
| Sets packet size.
virtual void | setMaxSize (INT32 aSize)
| Sets max packet size.
virtual INT32 | getMaxSize ()
| Gets max packet size.
virtual | ~XFcCommPacketBase ()
| Virtual destructor.
## Protected Member Functions
| XFcCommPacketBase ()
| Protected constructor.
## Protected Attributes
INT32 | mSize
| Packet size.
INT32 | mMaxSize
| Max packet size.

## Detailed Description

XFcCommPacketBase is base class for communication packet.

Its purpose is only hold buffer size and buffer max size information.

## Constructor & Destructor Documentation

XFcCommPacketBase::XFcCommPacketBase | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFcCommPacketBase::~XFcCommPacketBase | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual INT32 XFcCommPacketBase::getMaxSize | ( |  | ) | `[virtual]`

| Gets max packet size. Returns: max size of allocated buffer.

virtual INT32 XFcCommPacketBase::getSize | ( |  | ) | `[virtual]`

| Gets packet size. Returns: size of buffer in bytes.

virtual void XFcCommPacketBase::setMaxSize | ( | INT32 | aSize | ) | `[virtual]`

  | Sets max packet size. Parameters:
  aSize | max size of allocated buffer in bytes.

virtual void XFcCommPacketBase::setSize | ( | INT32 | aSize | ) | `[virtual]`

  | Sets packet size. Parameters:
  aSize | size of buffer in bytes.

## Member Data Documentation

INT32 XFcCommPacketBase::mMaxSize`[protected]`

| Max packet size.

INT32 XFcCommPacketBase::mSize`[protected]`

| Packet size.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch